package com.ltgk.common.utils;

import java.util.regex.Pattern;

/**
 * @Author: wan kun
 * @Description: 正则验证方法
 * @Date: 2025/2/8 15:58
 * @Version: 1.0
 */

public class RegexUtils {
    // 定义手机号码的正则表达式
    private static final String PHONE_REGEX = "^1[3-9]\\d{9}$";
    private static final Pattern PHONE_PATTERN = Pattern.compile(PHONE_REGEX);

    /**
     * 验证手机号码是否合法
     *
     * @param phone 待验证的手机号码
     * @return 如果手机号码合法返回 true，否则返回 false
     */
    public static boolean isMobileExact(String phone) {
        if (phone == null || phone.equals("")) {
            return false;
        }
        return PHONE_PATTERN.matcher(phone).matches();
    }
}
